#version 100
#extension GL_ARB_explicit_attrib_location: enable
precision highp float;

varying vec4 vertColor;
varying vec3 vertTexCoords;

uniform sampler2D tex0;
uniform bool texturingEnabled;
uniform bool smoothingEnabled;

void main(void) {
    gl_FragColor = vertColor;

    if (texturingEnabled) {

        vec4 texColor = texture2D(tex0, vertTexCoords.xy / vertTexCoords.z);
        if (texColor.a == 0.0) {
            discard;
        }

        gl_FragColor  = vec4(gl_FragColor.rgb * texColor.rgb, texColor.a);
    }
}
